<?xml version="1.0" encoding="utf-8"?>
<rougail version="0.10">
  <services>
    <service name="dns-local" manage="False">
      <file>/tests/dns-local.yml</file>
    </service>
  </services>
  <variables>
    <family name="network">
      <variable name="dns_is_only_local" type="boolean" description="DNS resolve only local address" hidden="True">
        <value>True</value>
      </variable>
      <variable name="dns_client_address" type="domainname" description="Nom de domaine du serveur DNS" supplier="LocalDNS" hidden="True"/>
      <variable name="ip_dns" type="ip" description="Adresse IP du serveur DNS" hidden="True"/>
    </family>
  </variables>
  <constraints>
    <fill name="get_ip">
      <param type="information">zones</param>
      <param name="server_name" type="variable">dns_client_address</param>
      <target>ip_dns</target>
    </fill>
  </constraints>
</rougail>


